Name:		freebasic
Version:	0.21.1
Release:	1%{?dist}
ExclusiveArch:	i386 i686
Summary:	A free, 32-bit BASIC compiler
Group:		Development/Languages
License:	GPLv2+ and LGPLv2+
URL:		http://www.freebasic.net
Source0:	http://downloads.sourceforge.net/project/fbc/Source%%20Code/FreeBASIC%%20%{version}/FreeBASIC-%{version}-source.tar.lzma
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	freebasic-compiler, binutils-devel, binutils-static, perl, ncurses-devel, libX11-devel, libXext-devel, libXpm-devel, libXrandr-devel, libXrender-devel, freeglut-devel, gpm-devel
Requires:	freebasic-compiler, freebasic-examples, freebasic-manual-html
%description
FreeBASIC is a free, 32-bit BASIC compiler for Windows (32-bit), 32-bit 
protected-mode DOS (COFF executables, like DJGPP), and Linux (x86). It began 
as an attempt to create a code-compatible, free alternative to Microsoft 
QuickBASIC, but has quickly grown into a powerful development tool, already 
including support for libraries such as Allegro, SDL, OpenGL, and many others 
with its default installation.

Aside from having a syntax mostly compatible with QuickBASIC, FreeBASIC 
introduces several new features to the aged language, including pointers to 
variables and functions, and unsigned data types.

FreeBASIC compiler is self-hosting - written in FreeBASIC, the libraries 
however are written in C.

This package will install the compiler, manual in html format, and examples.


%package -n	fbc
Summary:	The FreeBASIC compiler
Requires:	gcc, fbrt-devel, fbgfx-devel
Provides:	freebasic-compiler
Group:		Development/Languages
License:	GPLv2+
%description -n	fbc
FreeBASIC is a free, 32-bit BASIC compiler for Windows (32-bit), 32-bit 
protected-mode DOS (COFF executables, like DJGPP), and Linux (x86). It began 
as an attempt to create a code-compatible, free alternative to Microsoft 
QuickBASIC, but has quickly grown into a powerful development tool, already 
including support for libraries such as Allegro, SDL, OpenGL, and many others 
with its default installation.

Aside from having a syntax mostly compatible with QuickBASIC, FreeBASIC 
introduces several new features to the aged language, including pointers to 
variables and functions, and unsigned data types.

FreeBASIC compiler is self-hosting - written in FreeBASIC, the libraries 
however are written in C.

This package contains the FreeBASIC Compiler.


%package -n	fbrt-devel
Summary:	The FreeBASIC Runtime Library
Requires:	libstdc++-devel, ncurses-devel
%if 0%{?fedora} >= 14
Requires:	libstdc++-static
%endif
Group:		Development/Libraries
License:	LGPLv2+
%description -n	fbrt-devel
FreeBASIC is a free, 32-bit BASIC compiler for Windows (32-bit), 32-bit 
protected-mode DOS (COFF executables, like DJGPP), and Linux (x86). It began 
as an attempt to create a code-compatible, free alternative to Microsoft 
QuickBASIC, but has quickly grown into a powerful development tool, already 
including support for libraries such as Allegro, SDL, OpenGL, and many others 
with its default installation.

Aside from having a syntax mostly compatible with QuickBASIC, FreeBASIC 
introduces several new features to the aged language, including pointers to 
variables and functions, and unsigned data types.

FreeBASIC compiler is self-hosting - written in FreeBASIC, the libraries 
however are written in C.

This package contains the FreeBASIC Runtime Library.


%package -n	fbgfx-devel
Summary:	The FreeBASIC Graphics Library
Requires:	libX11-devel, libXext-devel, libXpm-devel, libXrandr-devel, libXrender-devel
Group:		Development/Libraries
License:	LGPLv2+
%description -n	fbgfx-devel
FreeBASIC is a free, 32-bit BASIC compiler for Windows (32-bit), 32-bit 
protected-mode DOS (COFF executables, like DJGPP), and Linux (x86). It began 
as an attempt to create a code-compatible, free alternative to Microsoft 
QuickBASIC, but has quickly grown into a powerful development tool, already 
including support for libraries such as Allegro, SDL, OpenGL, and many others 
with its default installation.

Aside from having a syntax mostly compatible with QuickBASIC, FreeBASIC 
introduces several new features to the aged language, including pointers to 
variables and functions, and unsigned data types.

FreeBASIC compiler is self-hosting - written in FreeBASIC, the libraries 
however are written in C.

This package contains the FreeBASIC Graphics Library.


%package	examples
Summary:	Examples for the FreeBASIC compiler
Group:		Documentation
License:	GPLv2+
BuildArch:	noarch
%description	examples
FreeBASIC is a free, 32-bit BASIC compiler for Windows (32-bit), 32-bit 
protected-mode DOS (COFF executables, like DJGPP), and Linux (x86). It began 
as an attempt to create a code-compatible, free alternative to Microsoft 
QuickBASIC, but has quickly grown into a powerful development tool, already 
including support for libraries such as Allegro, SDL, OpenGL, and many others 
with its default installation.

Aside from having a syntax mostly compatible with QuickBASIC, FreeBASIC 
introduces several new features to the aged language, including pointers to 
variables and functions, and unsigned data types.

FreeBASIC compiler is self-hosting - written in FreeBASIC, the libraries 
however are written in C.

This package contains the examples included with the FreeBASIC compiler. 


%package	allegro-devel
Summary:	Development files for Allegro for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	allegro-devel
%description	allegro-devel
Allegro is a cross-platform library intended for use in computer games and 
other types of multimedia programming.

This package is needed to build programs written with Allegro in FreeBASIC.


%package	caca-devel
Summary:	Development files for libcaca for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	libcaca-devel
%description	caca-devel
libcaca is the Colour AsCii Art library. It provides high level functions for 
colour text drawing, simple primitives for line, polygon and ellipse drawing, 
as well as powerful image to text conversion routines.

This package is needed to build programs written with libcaca in FreeBASIC.


%package	cairo-devel
Summary:	Development files for Cairo for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	cairo-devel
%description	cairo-devel
Cairo is a 2D graphics library designed to provide high-quality display and 
print output.

This package is needed to build programs written with cairo in FreeBASIC.


%package	curses-devel
Summary:	Development files for ncurses for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	ncurses-devel
%description	curses-devel
The curses library routines are a terminal-independent method of updating 
character screens with reasonable optimization. The ncurses (new curses) 
library is a freely distributable replacement for the discontinued 4.4 BSD 
classic curses library.

This package is needed to build programs written with ncurses in FreeBASIC.


%package	freeimage-devel
Summary:	Development files for FreeImage for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	freeimage-devel
%description	freeimage-devel
FreeImage is a library for developers who would like to support popular 
graphics image formats like PNG, BMP, JPEG, TIFF and others as needed by 
today's multimedia applications.

This package is needed to build programs written with FreeImage for use with 
FreeBASIC.


%package	freetype-devel
Summary:	Development files for FreeType for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	freetype-devel
%description	freetype-devel
The FreeType engine is a free and portable font rendering engine, developed to 
provide advanced font support for a variety of platforms and environments. 
FreeType is a library which can open and manages font files as well as 
efficiently load, hint and render individual glyphs.

This package is needed to build programs written with FreeType for use with 
FreeBASIC.


%package	gd-devel
Summary:	Development files for gd for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	gd-devel
%description	gd-devel
The gd graphics library allows your code to quickly draw images complete with 
lines, arcs, text, multiple colors, cut and paste from other images, and flood 
fills, and to write out the result as a PNG or JPEG file. This is particularly 
useful in Web applications, where PNG and JPEG are two of the formats accepted 
for inline images by most browsers.

This package is needed to build programs written with gd for use with 
FreeBASIC.


%package	giflib-devel
Summary:	Development files for giflib for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	giflib-devel
%description	giflib-devel
The giflib package contains a shared library of functions for loading and 
saving GIF format image files. It is API and ABI compatible with libungif, the 
library which supported uncompressed GIFs while the Unisys LZW patent was in 
effect.

This package is needed to build programs written with giflib for use with 
FreeBASIC.


%package	gtk-devel
Summary:	Development files for GTK+ for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	gtk2-devel
%description	gtk-devel
GTK+ is a multi-platform toolkit for creating graphical user interfaces. 
Offering a complete set of widgets, GTK+ is suitable for projects ranging from 
small one-off tools to complete application suites.

This package is needed to build programs written with GTK+ for use with 
FreeBASIC.


%package	devil-devel
Summary:	Development files for Developer's Image Library (DevIL) for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	devil-devel
%description	devil-devel
Developer's Image Library (DevIL) is a programmer's library to develop 
applications with very powerful image loading capabilities, yet is easy for a 
developer to learn and use. Ultimate control of images is left to the 
developer, so unnecessary conversions, etc. are not performed. DevIL utilizes 
a simple, yet powerful, syntax. DevIL can load, save, convert, manipulate, 
filter and display a wide variety of image formats.

This package is needed to build programs written with Developer's Image 
Library (DevIL) for use with FreeBASIC.


%package	jpgalleg-devel
Summary:	Development files for jpgalleg for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	jpgalleg-devel
%description	jpgalleg-devel
jpgalleg is a jpeg library for use with the Allegro game library. It allows 
using jpeg's as Allegro bitmaps.

This package is needed to build programs written with jpgalleg for use with 
FreeBASIC.


%package	libpng-devel
Summary:	Development files for libpng for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	libpng-devel
%description	libpng-devel
The libpng package contains a library of functions for creating and 
manipulating PNG (Portable Network Graphics) image format files. PNG is a 
bit-mapped graphics format similar to the GIF format. PNG was created to 
replace the GIF format, since GIF uses a patented data compression algorithm.

This package is needed to build programs written with libpng for use with 
FreeBASIC.


%package	opengl-devel
Summary:	Development files for OpenGL for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	mesa-libGL-devel
%description	opengl-devel
OpenGL is the premier environment for developing portable, interactive 2D and 
3D graphics applications.

This package is needed to build programs written with OpenGL for use with 
FreeBASIC.


%package	sdl-devel
Summary:	Development files for SDL for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	SDL-devel
%description	sdl-devel
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library designed 
to provide fast access to the graphics frame buffer and audio device.

This package is needed to build programs written with SDL for use with 
FreeBASIC.


%package	mysql-devel
Summary:	Development files for MySQL for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	mysql-devel
%description	mysql-devel
MySQL is a multi-user, multi-threaded SQL database server. MySQL is a 
client/server implementation consisting of a server daemon (mysqld) and many 
different client programs and libraries.

This package is needed to build programs written with MySQL for use with 
FreeBASIC.


%package	postgresql-devel
Summary:	Development files for PostgreSQL for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	postgresql-devel
%description	postgresql-devel
PostgreSQL is an advanced Object-Relational database management system (DBMS) 
that supports almost all SQL constructs (including transactions, subselects 
and user-defined types and functions).

This package is needed to build programs written with PostgreSQL for use with 
FreeBASIC.


%package	sqlite-devel
Summary:	Development files for  for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	sqlite-devel
%description	sqlite-devel
SQLite is a C library that implements an SQL database engine. A large subset 
of SQL92 is supported. A complete database is stored in a single disk file. 
The API is designed for convenience and ease of use. Applications that link 
against SQLite can enjoy the power and flexibility of an SQL database without 
the administrative hassles of supporting a separate database server.

This package is needed to build programs written with  for use with FreeBASIC.


%package	openal-devel
Summary:	Development files for OpenAL Soft for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	openal-soft-devel
%description	openal-devel
OpenAL Soft is a cross-platform software implementation of the OpenAL 3D audio 
API. It's built off of the open-sourced Windows version available originally 
from the SVN repository at openal.org. OpenAL provides capabilities for 
playing audio in a virtual 3d environment. Distance attenuation, doppler 
shift, and directional sound emitters are among the features handled by the 
API. More advanced effects, including air absorption, low-pass filters, and 
reverb, are available through the EFX extension. It also facilitates streaming 
audio, multi-channel buffers, and audio capture.

This package is needed to build programs written with OpenAL Soft for use with 
FreeBASIC.


%package	bfd-devel
Summary:	Development files for BFD (Binary File Descriptor Library) for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	binutils-devel
%description	bfd-devel
The BFD, or Binary File Descriptor library, is the GNU Project's main 
mechanism for the portable manipulation of object files in a variety of 
formats.

This package is needed to build programs written with BFD for use with 
FreeBASIC.


%package	aspell-devel
Summary:	Development files for GNU Aspell for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	aspell-devel
%description	aspell-devel
GNU Aspell is a spell checker designed to eventually replace Ispell. Its main 
feature is that it does a much better job of coming up with possible 
suggestions than just about any other spell checker out there for the English 
language, including Ispell and Microsoft Word. It also has many other 
technical enhancements over Ispell such as using shared memory for 
dictionaries and intelligently handling personal dictionaries when more than 
one Aspell process is open at once.

This package is needed to build programs written with GNU Aspell for use with 
FreeBASIC.


%package	lua-devel
Summary:	Development files for Lua for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	lua-devel
%description	lua-devel
Lua is a powerful light-weight programming language designed for extending 
applications. Lua is also frequently used as a general-purpose, stand-alone 
language. Lua is free software. Lua combines simple procedural syntax with 
powerful data description constructs based on associative arrays and 
extensible semantics. Lua is dynamically typed, interpreted from bytecodes, 
and has automatic memory management with garbage collection, making it ideal 
for configuration, scripting, and rapid prototyping.

This package is needed to build programs written with Lua for use with 
FreeBASIC.


%package	gmp-devel
Summary:	Development files for GNU MP for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	gmp-devel
%description	gmp-devel
GNU MP is a library for arbitrary precision arithmetic, signed integers 
operations, rational numbers and floating point numbers. GNU MP is designed 
for speed, for both small and very large operands. GNU MP is fast because it 
uses fullwords as the basic arithmetic type, it uses fast algorithms, it 
carefully optimizes assembly code for many CPUs' most common inner loops, and 
it generally emphasizes speed over simplicity/elegance in its operations.

This package is needed to build programs written with GNU MP for use with 
FreeBASIC.


%package	gsl-devel
Summary:	Development files for GSL for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	gsl-devel
%description	gsl-devel
The GNU Scientific Library (GSL) is a collection of routines for numerical 
analysis, written in C.

This package is needed to build programs written with GSL for use with 
FreeBASIC.


%package	ode-devel
Summary:	Development files for ODE for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	ode-devel
%description	ode-devel
ODE is an open source, high performance library for simulating rigid body 
dynamics. It is fully featured, stable, mature and platform independent with 
an easy to use C/C++ API. It has advanced joint types and integrated collision 
detection with friction. ODE is useful for simulating vehicles, objects in 
virtual reality environments and virtual creatures. It is currently used in 
many computer games, 3D authoring tools and simulation tools.

This package is needed to build programs written with ODE for use with 
FreeBASIC.


%package	curl-devel
Summary:	Development files for libcurl for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	libcurl-devel
%description	curl-devel
libcurl provides a way for applications to use FTP, HTTP, Gopher and other 
servers for getting files.

This package is needed to build programs written with libcurl for use with 
FreeBASIC.


%package	fastcgi-devel
Summary:	Development files for FastCGI for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	fcgi-devel
%description	fastcgi-devel
FastCGI is a language independent, scalable, open extension to CGI that 
provides high performance without the limitations of server specific APIs.

This package is needed to build programs written with FastCGI for use with 
FreeBASIC.


%package	expat-devel
Summary:	Development files for expat for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	expat-devel
%description	expat-devel
Expat is a C library for parsing XML, written by James Clark. Expat is a 
stream oriented XML parser. This means that you register handlers with the 
parser prior to starting the parse. These handlers are called when the parser 
discovers the associated structures in the document being parsed. A start tag 
is an example of the kind of structures for which you may register handlers.

This package is needed to build programs written with expat for use with 
FreeBASIC.


%package	libxml-devel
Summary:	Development files for libxml for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	libxml2-devel
%description	libxml-devel
The libxml library allows to manipulate XML files. It includes support to 
read, modify and write XML and HTML files. There is DTDs support this includes 
parsing and validation even with complex DtDs, either at parse time or later 
once the document has been modified. The output can be a simple SAX stream or 
and in-memory DOM like representations. In this case one can use the built-in 
XPath and XPointer implementation to select subnodes or ranges. A flexible 
Input/Output mechanism is available, with existing HTTP and FTP modules and 
combined to an URI library.

This package is needed to build programs written with libxml for use with 
FreeBASIC.


%package	libxslt-devel
Summary:	Development files for libxslt for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	libxslt-devel
%description	libxslt-devel
The libxslt C library allows to transform XML files into other XML files (or 
HTML, text, ...) using the standard XSLT stylesheet transformation mechanism.

This package is needed to build programs written with libxslt for use with 
FreeBASIC.


%package	mxml-devel
Summary:	Development files for mxml-devel for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	mxml-devel
%description	mxml-devel
Mini-XML is a small XML parsing library that you can use to read XML and 
XML-like data files in your application without requiring large non-standard 
libraries.

This package is needed to build programs written with mxml-devel for use with 
FreeBASIC.


%package	pcre-devel
Summary:	Development files for PCRE for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	pcre-devel
%description	pcre-devel
PCRE is a perl-compatible regular expression library.

This package is needed to build programs written with PCRE for use with 
FreeBASIC.


%package	tre-devel
Summary:	Development files for TRE for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	tre-devel
%description	tre-devel
TRE is a lightweight, robust, and efficient POSIX compatible regexp matching 
library with some exciting features such as approximate matching.

This package is needed to build programs written with TRE for use with 
FreeBASIC.


%package	lzo-devel
Summary:	Development files for LZO for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	lzo-devel
%description	lzo-devel
LZO is a portable lossless data compression library written in ANSI C. It 
offers pretty fast compression and very fast decompression. Decompression 
requires no memory. In addition there are slower compression levels achieving 
a quite competitive compression ratio while still decompressing at this very 
high speed.

This package is needed to build programs written with LZO for use with 
FreeBASIC.


%package	zlib-devel
Summary:	Development files for Zlib for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	zlib-devel
%description	zlib-devel
Zlib is a general-purpose, patent-free, lossless data compression library 
which is used by many different programs.

This package is needed to build programs written with Zlib for use with 
FreeBASIC.


%package	crt-devel
Summary:	Development files for C Runtime Library for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	glibc-devel
%description	crt-devel
Common C Language Functions.

This package is needed to build programs written with C Runtime Library for 
use with FreeBASIC.


%package	ogg-devel
Summary:	Development files for libogg for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	libogg-devel
%description	ogg-devel
Libogg is a library for manipulating Ogg bitstream file formats. Libogg 
supports both making Ogg bitstreams and getting packets from Ogg bitstreams.

This package is needed to build programs written with libogg for use with 
FreeBASIC.


%package	vorbis-devel
Summary:	Development files for libvorbis for use with FreeBASIC
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
Requires:	libvorbis-devel
%description	vorbis-devel
Ogg Vorbis is a fully open, non-proprietary, patent- and royalty-free, 
general-purpose compressed audio format for audio and music at fixed and 
variable bitrates from 16 to 128 kbps/channel.

This package is needed to build programs written with libvorbis for use with 
FreeBASIC.


%package	headers-extra
Summary:	FreeBASIC headers for libraries unavailable in Fedora's repositories
Group:		Development/Libraries
License:	GPLv2+
BuildArch:	noarch
%description	headers-extra
Libraries with headers included in this package:

* CGUI
* DisLin
* GRX
* IUP
* japi - Java Application Programming Interface
* jpeglib
* PDFLib
* TinyPTC
* wx-c, C Interface for WxWidgets
* BASS
* BASSMOD
* FMOD
* CUnit
* GDSL - The Generic Data Structures Library
* JNI, The Java Native Interface
* SpiderMonkey
* cryptlib
* big_int
* Newton
* cgi-util
* QuickLZ

You may need to compile these libraries yourself, look for third-party 
repositories that provides these libraries, or install third-party packages to 
use them with FreeBASIC.


%prep
%setup -q -n FreeBASIC-%{version}-source


%build
cd src/rtlib
%configure
make %{?_smp_mflags}
mkdir -p mt
make %{?_smp_mflags} MULTITHREADED=1
cp libfb.a %{_builddir}/%{buildsubdir}/lib/linux/
cp libfbmt.a %{_builddir}/%{buildsubdir}/lib/linux/
cp fbrt0.o %{_builddir}/%{buildsubdir}/lib/linux/
cd ../gfxlib2
%configure
make %{?_smp_mflags}
cp libfbgfx.a %{_builddir}/%{buildsubdir}/lib/linux/
cd ../compiler
%configure
make %{?_smp_mflags}
cp fbc_new %{_builddir}/%{buildsubdir}/fbc
cd %{_builddir}/%{buildsubdir}
rm -rf %{_builddir}/%{buildsubdir}/inc/disphelper
rm -rf %{_builddir}/%{buildsubdir}/inc/dos
rm -rf %{_builddir}/%{buildsubdir}/inc/win
rm -f %{_builddir}/%{buildsubdir}/inc/windows.bi
rm -rf %{_builddir}/%{buildsubdir}/examples/DOS
rm -rf %{_builddir}/%{buildsubdir}/examples/Windows


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}/
./install.sh -i %{buildroot}/usr
mv %{buildroot}/usr/man %{buildroot}%{_mandir}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc readme.txt migrating.txt
%{_datadir}/%{name}/docs
%{_datadir}/%{name}/readme.txt
%{_datadir}/%{name}/migrating.txt


%files -n fbc
%defattr(-,root,root,-)
%{_bindir}/fbc
%{_mandir}/man1/fbc.1.gz
%{_libdir}/%{name}/linux/elf_i386.x


%files -n fbrt-devel
%defattr(-,root,root,-)
%{_libdir}/%{name}/linux/libfb.a
%{_libdir}/%{name}/linux/libfbmt.a
%{_libdir}/%{name}/linux/fbrt0.o
%{_includedir}/%{name}/vbcompat.bi
%{_includedir}/%{name}/datetime.bi
%{_includedir}/%{name}/string.bi
%{_includedir}/%{name}/dir.bi
%{_includedir}/%{name}/file.bi
%{_includedir}/%{name}/utf_conv.bi


%files -n fbgfx-devel
%defattr(-,root,root,-)
%{_libdir}/%{name}/linux/libfbgfx.a
%{_includedir}/%{name}/fbgfx.bi


%files examples
%defattr(-,root,root,-)
%{_datadir}/%{name}/examples/


%files allegro-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/allegro/
%{_includedir}/%{name}/allegro.bi


%files caca-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/caca.bi


%files cairo-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/cairo/


%files curses-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/curses/
%{_includedir}/%{name}/curses.bi


%files freeimage-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/FreeImage.bi


%files freetype-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/freetype2/


%files gd-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/gd/


%files giflib-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/gif_lib.bi


%files gtk-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/gtk/


%files devil-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/IL/


%files jpgalleg-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/jpgalleg.bi


%files libpng-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/png.bi


%files opengl-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/GL/


%files sdl-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/SDL/


%files mysql-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/mysql/


%files postgresql-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/postgresql


%files sqlite-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/sqlite2.bi
%{_includedir}/%{name}/sqlite3.bi


%files openal-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/al


%files bfd-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/bfd/
%{_includedir}/%{name}/bfd.bi


%files aspell-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/aspell.bi


%files lua-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/Lua


%files gmp-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/gmp.bi


%files gsl-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/gsl/


%files ode-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/ode/


%files curl-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/curl.bi


%files fastcgi-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/fastcgi/


%files expat-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/expat.bi


%files libxml-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/libxml/


%files libxslt-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/libxslt/


%files mxml-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/mxml.bi


%files pcre-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/pcre/


%files tre-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/regex.bi


%files lzo-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/lzo/


%files zlib-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/zlib.bi


%files crt-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/crt/
%{_includedir}/%{name}/crt.bi


%files ogg-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/ogg/


%files vorbis-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/vorbis/


%files headers-extra
%defattr(-,root,root,-)
%{_includedir}/%{name}/cgui.bi
%{_includedir}/%{name}/dislin.bi
%{_includedir}/%{name}/grx/
%{_includedir}/%{name}/IUP/
%{_includedir}/%{name}/japi.bi
%{_includedir}/%{name}/jpeglib.bi
%{_includedir}/%{name}/pdflib.bi
%{_includedir}/%{name}/tinyptc.bi
%{_includedir}/%{name}/wx-c/
%{_includedir}/%{name}/bass.bi
%{_includedir}/%{name}/bassmod.bi
%{_includedir}/%{name}/fmod.bi
%{_includedir}/%{name}/CUnit/
%{_includedir}/%{name}/gdsl/
%{_includedir}/%{name}/jni.bi
%{_includedir}/%{name}/spidermonkey/
%{_includedir}/%{name}/cryptlib.bi
%{_includedir}/%{name}/big_int/
%{_includedir}/%{name}/Newton.bi
%{_includedir}/%{name}/cgi-util.bi
%{_includedir}/%{name}/quicklz.bi


%changelog
* Sun Dec 5 2010 Arnel A. Borja <galeon at, ymail.com> 0.21.1-1
- Created package


